Glassfish v4.0 no puede funcionar en Mac OSX 10.6.8 + JDK 7.0 U40

Había estado usando Macbook Pro 2010 por un time y había actualizado Mac OSX a la última versión, y había estado sufriendo a baja velocidad durante mucho time. Así que anoche busqué en Google y realicé algunas tareas de limpieza, como corregir los permissions del disco, pero la Mac todavía estaba lenta. Y alguien sugiere volver a instalar MacOSX.

Estaba pensando que era la nueva versión del problema de Mac OSX, tuve el mismo tipo de problemas en la primera versión de IPad.

Después de reinstalar, la computadora se volvió mucho más rápida. Pero me encontré con los siguientes problemas:

  1. JDK 7 DMG no es compatible con OSX 10.6.8, SÓLO con OSX 10.7 o versiones posteriores
  2. El cliente oficial de Github no es compatible con OSX 10.7+

Emprendidos una y otra vez, para resolver el primer problema, hay principalmente sugerencias: A. Usar PackageMaker para eliminar la condición de versión de OSX. B. Usando una herramienta Pacifist para abrir el file pkg dentro del file DMG descargado del oficial.

Como tengo instalado PackageMaker en Mac OSX, elegí A. Abrirlo con PackageMaker, eliminar la limitación y volver a comstackrlo, instalé con éxito el nuevo file pkg en: /Library/Java/JavaVirtualMachines/jdk1.7.0_40. jdk / Contenidos / Inicio

Y luego configure JAVA_HOME en ~ / .bash_profile.

Luego descargo la versión en varios idiomas de glassfish 4.0, descomprimida y start-domain con éxito. y finalmente el problema me mató por ahora.

Después de que glassfish v4 comenzó, trato de iniciar session en la console web en:

http://localhost:4848 

a continuación, la instancia del server de Glassfish "muere", el process de Glassfish de Java sigue ahí, pero sin ninguna respuesta, el ícono de inicio de la console web continúa funcionando todo el time. Y no hay loggings de error creados, y el directory "generado" no se genera.

2013-10-15 14: 05: 20.928 java [797: 903] * NSInvocación: advertencia: el object 0x1083c8390 de la class 'ThreadUtilities' no implementa methodSignatureForSelector: – problemas por delante 2013-10-15 14: 05: 20.930 java [797 : 903] * NSInvocación: advertencia: el object 0x1083c8390 de la class 'ThreadUtilities' no implementa doesNotRecognizeSelector: – abortar El command start-domain falló.

Ese es el primer problema.

El segundo problema es sobre github. Como el oficial de github no es compatible con OSX 10.6.8, encontré un instalador antiguo con la versión 1.0.3. Instalé esta versión, con un único problema por ahora, no puedo iniciar session en github con nombre de usuario y contraseña, sin respuestas de error, simplemente no respondí, sufrí esto una vez que estaba en Windows. Pero puedo trabajar haciendo clic en el button "Clonar en el escritorio" en github.com.

¿Alguien me puede ayudar? Estoy trabajando en proyectos basados ​​en JDK7.

Por qué todo el mundo está dejando Snow Leopard, y ya no lo soporta, pero las viejas computadoras Mac deberían morir sin un software que funcione después de 2 ~ 3 años, solo 2 ~ 3 años. Y la actualización del sistema operativo al siguiente nivel disminuirá el performance. ¿Por qué pasan estas cosas? ¿Es el oracle de dios?

Tuve el mismo error (NSInvocation …) en mi Macbook Pro 2006 (OS X 10.6.8), en el que había instalado JDK7 para desarrollar una aplicación Java / GWT en Eclipse Kepler. Después de search, me enteré de que una solución posible era rebajar a JDK 1.7.0u25 (en lugar de actualizar 40 o superior), así que instalé esa versión junto con 1.7.0u45 (que ya tenía), y eso solucionó el problema. Así que recomendaría instalar esa versión del JDK y ver si eso soluciona su problema.

Intereting Posts